﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace COWS.RulesetProcessor.BPMRedesignReference {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://appiancorp.com/webservices/pm", ConfigurationName="BPMRedesignReference.StartProcessIF")]
    public interface StartProcessIF {
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.DataContractFormatAttribute(Style=System.ServiceModel.OperationFormatStyle.Rpc)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="processId")]
        long start(string username, string password, string Cmnts, string Create_Dt, string EXPIRY_DT, string H1_ID, string MNS_DD_NBR, string PR_DD_NBR, string SLA_DT, string SUBMIT_DT, string Stus_nme);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [return: System.ServiceModel.MessageParameterAttribute(Name="processId")]
        System.Threading.Tasks.Task<long> startAsync(string username, string password, string Cmnts, string Create_Dt, string EXPIRY_DT, string H1_ID, string MNS_DD_NBR, string PR_DD_NBR, string SLA_DT, string SUBMIT_DT, string Stus_nme);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface StartProcessIFChannel : COWS.RulesetProcessor.BPMRedesignReference.StartProcessIF, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class StartProcessIFClient : System.ServiceModel.ClientBase<COWS.RulesetProcessor.BPMRedesignReference.StartProcessIF>, COWS.RulesetProcessor.BPMRedesignReference.StartProcessIF {
        
        public StartProcessIFClient() {
        }
        
        public StartProcessIFClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public StartProcessIFClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public StartProcessIFClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public StartProcessIFClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public long start(string username, string password, string Cmnts, string Create_Dt, string EXPIRY_DT, string H1_ID, string MNS_DD_NBR, string PR_DD_NBR, string SLA_DT, string SUBMIT_DT, string Stus_nme) {
            return base.Channel.start(username, password, Cmnts, Create_Dt, EXPIRY_DT, H1_ID, MNS_DD_NBR, PR_DD_NBR, SLA_DT, SUBMIT_DT, Stus_nme);
        }
        
        public System.Threading.Tasks.Task<long> startAsync(string username, string password, string Cmnts, string Create_Dt, string EXPIRY_DT, string H1_ID, string MNS_DD_NBR, string PR_DD_NBR, string SLA_DT, string SUBMIT_DT, string Stus_nme) {
            return base.Channel.startAsync(username, password, Cmnts, Create_Dt, EXPIRY_DT, H1_ID, MNS_DD_NBR, PR_DD_NBR, SLA_DT, SUBMIT_DT, Stus_nme);
        }
    }
}
